> This page is for version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://docs.agentverse.ai/v-2/llms.txt
> - v1: https://docs.agentverse.ai/v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Get User Agent Public Profile

GET https://agentverse.ai/v1/hosting/agents/{address}/profile

Reference: https://docs.agentverse.ai/v-1/api-reference/hosting-v-1/get-user-agent-profile

## Request

### Path parameters

- `address` (string, required)

### Query parameters

- `no_cache` (boolean, optional, default: false)

## Response

### 200

Successful Response

- `name` (string, required) — Name of the agent.
- `author_username` (string, required) — Username of the agent's author.
- `address` (string, required) — Bech32 address of the agent.
- `running` (boolean, required) — Indicates if the agent is currently running.
- `last_updated_at` (string, required) — Timestamp when the agent was last updated.
- `created_at` (string, required) — Timestamp when the agent was created.
- `domain` (string, optional) — Custom domain for the agent.
- `prefix` (enum, optional, default: test-agent) — Address prefix for the agent.
  - Allowed values: `agent`, `test-agent`
- `readme` (string, optional) — README text for the agent.
- `short_description` (string, optional) — Short description for the agent.
- `maintainer_id` (string, optional) — User ID of the agent maintainer.
- `avatar_url` (string, optional) — URL of the agent's avatar.
- `metadata` (AgentMetadata, optional) — Metadata associated with the agent.

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### AgentMetadata

Model used to validate metadata for an agent. Framework specific fields will be added here to ensure valid serialization. Additional fields will simply be passed through.

- `geolocation` (AgentMetadataGeolocation, optional)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### AgentMetadataGeolocation

- AgentGeoLocation: AgentGeoLocation
- AgentGeoLocationDetails: AgentGeoLocationDetails

### ValidationErrorLocItems

- string
- integer

### AgentGeoLocation

- `latitude` (double, required)
- `longitude` (double, required)
- `radius` (double, optional)

### AgentGeoLocationDetails

- `name` (string, optional) — the full agent location
- `description` (string, optional) — the description of the agent location
- `latitude` (double, optional) — the latitude of the agent location
- `longitude` (double, optional) — the longitude of the agent location
- `street` (string, optional) — the street where the agent is located
- `city` (string, optional) — the city where the agent is located
- `state` (string, optional) — the state where the agent is located
- `postal_code` (string, optional) — the postal code where the agent is located
- `country` (string, optional) — the country where the agent is located
- `url` (string, optional) — the url belonging to the agent location
- `image_url` (string, optional) — the image url belonging to the agent location

## Examples

**Response**

```json
{
  "name": "foo",
  "author_username": "foo",
  "address": "foo",
  "running": true,
  "last_updated_at": "foo",
  "created_at": "foo",
  "domain": "foo",
  "prefix": "agent",
  "readme": "foo",
  "short_description": "foo",
  "maintainer_id": "foo",
  "avatar_url": "foo",
  "metadata": {
    "geolocation": {
      "latitude": 42,
      "longitude": 42,
      "radius": 42
    }
  }
}
```

**SDK Code**

```python getUserAgentProfileExample
import requests

url = "https://agentverse.ai/v1/hosting/agents/address/profile"

response = requests.get(url)

print(response.json())
```

```javascript getUserAgentProfileExample
const url = 'https://agentverse.ai/v1/hosting/agents/address/profile';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getUserAgentProfileExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v1/hosting/agents/address/profile"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getUserAgentProfileExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v1/hosting/agents/address/profile")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java getUserAgentProfileExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v1/hosting/agents/address/profile")
  .asString();
```

```php getUserAgentProfileExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v1/hosting/agents/address/profile');

echo $response->getBody();
```

```csharp getUserAgentProfileExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v1/hosting/agents/address/profile");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift getUserAgentProfileExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/hosting/agents/address/profile")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```